Summary:	A GNU general-purpose parser generator
Summary(de.UTF-8):	GNU-Parser-Generator
Summary(es.UTF-8):	Generador de parser de la GNU
Summary(fr.UTF-8):	Générateur d'analyseur lexical de GNU
Summary(pl.UTF-8):	GNU generator składni
Summary(pt_BR.UTF-8):	Gerador de parser da GNU
Summary(ru.UTF-8):	Bison - генератор парсеров GNU
Summary(tr.UTF-8):	GNU ayrıştırıcı üreticisi
Summary(uk.UTF-8):	Bison - генератор парсерів GNU
Name:		bison
Version:	2.6.5
Release:	1
License:	GPL v3+
Group:		Development/Tools
Source0:	http://ftp.gnu.org/gnu/bison/%{name}-%{version}.tar.xz
# Source0-md5:	75c8508e0a9e5c68f608658672d6bda4
Source1:	%{name}.1.pl
Patch0:		%{name}-info.patch
Patch1:		%{name}-pl.po-update.patch
URL:		http://gnu.org/software/bison/
BuildRequires:	automake >= 1:1.11.1
BuildRequires:	flex
BuildRequires:	gettext-devel >= 0.18
BuildRequires:	m4 >= 1.4.6
BuildRequires:	tar >= 1:1.22
BuildRequires:	texinfo >= 4.0
BuildRequires:	xz
Requires:	%{name}-runtime = %{version}-%{release}
Requires:	m4 >= 1.4.6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		pkgdatadir	%{_datadir}/bison

%description
Bison is a general purpose parser generator which converts a grammar
description for an LALR context-free grammar into a C program to parse
that grammar. Bison can be used to develop a wide range of language
parsers, from ones used in simple desk calculators to complex
programming languages. Bison is upwardly compatible with Yacc, so any
correctly written Yacc grammar should work with Bison without any
changes. If you know Yacc, you shouldn't have any trouble using Bison
(but you do need to be very proficient in C programming to be able to
use Bison). Many programs use Bison as part of their build process.
Bison is only needed on systems that are used for development.

%description -l de.UTF-8
Dies ist der GNU-Parser-Generator, der größtenteils mit yacc
kompatibel ist. Viele Programme benutzen ihn als Teil des
Aufbauvorgangs. Bison wird nur auf Systemen benötigt, die zur
Entwicklung verwendet werden.

%description -l es.UTF-8
Este es el creador de análisis gramatical GNU más compatible con yacc.
Varios programas lo utilizan como parte del su proceso de
construcción. Bison solamente hace falta en sistemas que se usan para
desarrollo.

%description -l fr.UTF-8
Générateur d'analyseur lexical de GNU compatible avec yacc. De
nombreux programmes l'utilisent dans leur phase de construction. Bison
ne sert que sur les systèmes utilisés pour le développement.

%description -l pl.UTF-8
W pakiecie znajduje się implementacja GNU generatora analizatora
składni, który jest odpowiednikiem programu yacc. Wiele programów
podczas kompilacji potrzebuje tego programu aby proces budowy plików
binarnych przebiegał prawidłowo. Bison jest potrzebny tylko w
systemach, w których prowadzone są różnego rodzaju kompilacje.

%description -l pt_BR.UTF-8
Este é o gerador de análise gramatical GNU que é mais compatível com
yacc. Vários programas o utilizam como parte do seu processo de
construção. Bison é somente necessário em sistemas que são usados para
desenvolvimento.

%description -l ru.UTF-8
Bison - это парсер, в основном совместимый с yacc. Многие программы
используют его в процессе компилляции. Bison нужен только в системах,
которые используются для разработки программ.

%description -l tr.UTF-8
byacc bir yacc ayrıştırıcısıdır. Pek çok program tarafından, kurulum
süreci sırasında kullanılır. Geliştirme yapanlara gerekli olabilir.

%description -l uk.UTF-8
Bison - це парсер, здебільшого сумісний з yacc. Багато програм
використовують його в процесі компіляції. Bison потрібен тільки в
системах, які використовуються для розробки програм.

%package runtime
Summary:	Runtime library for programs containing bison-generated parsers
Summary(pl.UTF-8):	Biblioteka uruchomieniowa dla programów zawierajacych parsery bisonowe
Group:		Libraries

%description runtime
Runtime library for internationalized programs containing
bison-generated parsers.

%description runtime -l pl.UTF-8
Biblioteka uruchomieniowa dla umiędzynarodowionych programów
zawierajacych parsery wygenerowane przez bisona.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%{__rm} po/stamp-po

%build
cp -f /usr/share/automake/config.sub config
%configure \
	--disable-silent-rules
%{__make} \
	pkgdatadir=%{pkgdatadir}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}/pl/man1

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgdatadir=%{pkgdatadir}

install %{SOURCE1} $RPM_BUILD_ROOT%{_mandir}/pl/man1/bison.1

%find_lang %{name}
%find_lang %{name}-runtime

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%attr(755,root,root) %{_bindir}/bison
# would conflict with byacc (but is not 100% compatible)
#%attr(755,root,root) %{_bindir}/yacc
%{pkgdatadir}
%{_libdir}/liby.a
%{_aclocaldir}/bison-i18n.m4
%{_mandir}/man1/bison.1*
%lang(pl) %{_mandir}/pl/man1/bison.1*
%{_infodir}/bison.info*

%files runtime -f %{name}-runtime.lang
%defattr(644,root,root,755)
%changelog
* Sun Nov 11 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/bison.git;a=log;h=master

* Sun Nov 11 2012 Jakub Bogusz <qboosh@pld-linux.org> 07c94ef
- updated to 2.6.5

* Tue Oct 23 2012 Jakub Bogusz <qboosh@pld-linux.org> a3bcc80
- updated to 2.6.4
- updated pl.po-update patch

* Tue Aug 28 2012 Jakub Bogusz <qboosh@pld-linux.org> 9636991
- updated to 2.6.2

* Mon Jul 30 2012 Jakub Bogusz <qboosh@pld-linux.org> 0295d2f
- updated to 2.6.1
- updated info,pl.po-update patches

* Wed Jun 06 2012 Jakub Bogusz <qboosh@pld-linux.org> 9c3f5e9
- updated to 2.5.1
- updated pl.po-update patch

* Tue May 17 2011 Jakub Bogusz <qboosh@pld-linux.org> 5342fbf
- updated to 2.5
- added pl.po-update patch

* Sat Aug 07 2010 Jakub Bogusz <qboosh@pld-linux.org> b1145a7
- updated to 2.4.3

* Fri Apr 09 2010 Jakub Bogusz <qboosh@pld-linux.org> 03e7bb1
- updated to 2.4.2

* Thu Jan 22 2009 Jakub Bogusz <qboosh@pld-linux.org> 8dbc7e6
- updated to 2.4.1
- removed obsolete pl.po-update patch

* Thu Jan 22 2009 Jakub Bogusz <qboosh@pld-linux.org> e96f0ec
- obsolete

* Tue Nov 04 2008 Jakub Bogusz <qboosh@pld-linux.org> 55f3e7a
- updated to 2.4
- updated pl.po-update patch

* Tue Nov 04 2008 Jakub Bogusz <qboosh@pld-linux.org> 5d7f555
- updated for 2.4

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> db4dfc3
- release 2

* Tue Apr 08 2008 Elan Ruusamäe <glen@pld-linux.org> 509a127
- unify ftp.gnu.org urls

* Thu Jan 24 2008 Elan Ruusamäe <glen@pld-linux.org> ba8d16f
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 7dc773b
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 6feb1d4
- converted to UTF-8

* Tue Jun 13 2006 Jakub Bogusz <qboosh@pld-linux.org> 143b145
- updated to 2.3, updated pl.po-update patch

* Tue Jun 13 2006 Jakub Bogusz <qboosh@pld-linux.org> 429ebb5
- updated for 2.3

* Wed May 24 2006 Jakub Bogusz <qboosh@pld-linux.org> e47395c
- updated to 2.2, updated pl.po-update patch (from GNU TP)

